services: 
  nginx:
    container_name: nginx
    image: nginx:${NGINX_VERSION}
    ports:
      - 80:80
    expose:
      - "80"
    volumes:
      - ./nginx/nginx-notls.conf:/etc/nginx/nginx.conf
      - ${CERTBOT_DATA_PATH}/www/:/var/www/certbot/:ro   # Certbot challenge folder
      - ${CERTBOT_DATA_PATH}/conf/:/etc/letsencrypt/:ro  # Certbot output folder
    networks:
      - xnat

  certbot:
    container_name: certbot
    image: certbot/certbot:latest
    network_mode: host
    volumes:
      - ${CERTBOT_DATA_PATH}/www/:/var/www/certbot/:rw   # Certbot challenge folder
      - ${CERTBOT_DATA_PATH}/conf/:/etc/letsencrypt/:rw  # Certbot output folder
    environment:
      - CERTBOT_REGISTER_COMMAND=${CERTBOT_REGISTER_COMMAND}
    depends_on:
      - nginx # Need webserver to run

  
networks:
  xnat:
    name: xnat
